Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 595932 - media-libs/kvazaar-0.8.3 - src_test(): .../work/kvazaar-0.8.3/tests/dct_tests.c:20:31: fatal error: greatest/greatest.h: No such file or directory
Summary: media-libs/kvazaar-0.8.3 - src_test(): .../work/kvazaar-0.8.3/tests/dct_tests...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: media-video herd
URL:
Whiteboard:
Keywords: TESTFAILURE
Depends on:
Blocks: 574786
  Show dependency tree
 
Reported: 2016-10-02 12:38 UTC by Jeroen Roovers
Modified: 2016-10-14 16:20 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
media-libs:kvazaar-0.8.3:20161002-115545.log (media-libs:kvazaar-0.8.3:20161002-115545.log,79.13 KB, text/plain)
2016-10-02 12:38 UTC, Jeroen Roovers
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jeroen Roovers gentoo-dev 2016-10-02 12:38:50 UTC
Created attachment 448826 [details]
media-libs:kvazaar-0.8.3:20161002-115545.log

Making check in tests
make[1]: Entering directory '/var/tmp/portage/media-libs/kvazaar-0.8.3/work/kvazaar-0.8.3-abi_ppc_64.ppc64/tests'
make  kvazaar_tests
make[2]: Entering directory '/var/tmp/portage/media-libs/kvazaar-0.8.3/work/kvazaar-0.8.3-abi_ppc_64.ppc64/tests'
powerpc64-unknown-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I/var/tmp/portage/media-libs/kvazaar-0.8.3/work/kvazaar-0.8.3/tests -I..   -DKVZ_DLL_EXPORTS  -I/var/tmp/portage/media-libs/kvazaar-0.8.3/work/kvazaar-0.8.3/tests -I/var/tmp/portage/media-libs/kvazaar-0.8.3/work/kvazaar-0.8.3 -I/var/tmp/portage/media-libs/kvazaar-0.8.3/work/kvazaar-0.8.3/src -Werror -Wall -Wtype-limits -Wvla -I/var/tmp/portage/media-libs/kvazaar-0.8.3/work/kvazaar-0.8.3/src -ftree-vectorize -fvisibility=hidden -pthread -O2 -ggdb -mcpu=G5 -mtune=G5 -Wall -c -o kvazaar_tests-dct_tests.o `test -f 'dct_tests.c' || echo '/var/tmp/portage/media-libs/kvazaar-0.8.3/work/kvazaar-0.8.3/tests/'`dct_tests.c
powerpc64-unknown-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I/var/tmp/portage/media-libs/kvazaar-0.8.3/work/kvazaar-0.8.3/tests -I..   -DKVZ_DLL_EXPORTS  -I/var/tmp/portage/media-libs/kvazaar-0.8.3/work/kvazaar-0.8.3/tests -I/var/tmp/portage/media-libs/kvazaar-0.8.3/work/kvazaar-0.8.3 -I/var/tmp/portage/media-libs/kvazaar-0.8.3/work/kvazaar-0.8.3/src -Werror -Wall -Wtype-limits -Wvla -I/var/tmp/portage/media-libs/kvazaar-0.8.3/work/kvazaar-0.8.3/src -ftree-vectorize -fvisibility=hidden -pthread -O2 -ggdb -mcpu=G5 -mtune=G5 -Wall -c -o kvazaar_tests-intra_sad_tests.o `test -f 'intra_sad_tests.c' || echo '/var/tmp/portage/media-libs/kvazaar-0.8.3/work/kvazaar-0.8.3/tests/'`intra_sad_tests.c
powerpc64-unknown-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I/var/tmp/portage/media-libs/kvazaar-0.8.3/work/kvazaar-0.8.3/tests -I..   -DKVZ_DLL_EXPORTS  -I/var/tmp/portage/media-libs/kvazaar-0.8.3/work/kvazaar-0.8.3/tests -I/var/tmp/portage/media-libs/kvazaar-0.8.3/work/kvazaar-0.8.3 -I/var/tmp/portage/media-libs/kvazaar-0.8.3/work/kvazaar-0.8.3/src -Werror -Wall -Wtype-limits -Wvla -I/var/tmp/portage/media-libs/kvazaar-0.8.3/work/kvazaar-0.8.3/src -ftree-vectorize -fvisibility=hidden -pthread -O2 -ggdb -mcpu=G5 -mtune=G5 -Wall -c -o kvazaar_tests-mv_cand_tests.o `test -f 'mv_cand_tests.c' || echo '/var/tmp/portage/media-libs/kvazaar-0.8.3/work/kvazaar-0.8.3/tests/'`mv_cand_tests.c
/var/tmp/portage/media-libs/kvazaar-0.8.3/work/kvazaar-0.8.3/tests/dct_tests.c:20:31: fatal error: greatest/greatest.h: No such file or directory
compilation terminated.
/var/tmp/portage/media-libs/kvazaar-0.8.3/work/kvazaar-0.8.3/tests/intra_sad_tests.c:20:31: fatal error: greatest/greatest.h: No such file or directory
compilation terminated.
Makefile:634: recipe for target 'kvazaar_tests-intra_sad_tests.o' failed
make[2]: *** [kvazaar_tests-intra_sad_tests.o] Error 1
make[2]: *** Waiting for unfinished jobs....
Makefile:620: recipe for target 'kvazaar_tests-dct_tests.o' failed
make[2]: *** [kvazaar_tests-dct_tests.o] Error 1

Sun Oct  2 14:38:16 CEST 2016
emerge --info kvazaar
Portage 2.3.0 (python 2.7.10-final-0, default/linux/powerpc/ppc64/13.0/64bit-userland, gcc-5.4.0, glibc-2.22-r4, 4.4.6-gentoo ppc64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-4.4.6-gentoo-ppc64-PPC970FX,_altivec_supported-with-gentoo-2.2
KiB Mem:     8096884 total,   1459632 free
KiB Swap:    1048572 total,   1011032 free
Timestamp of repository gentoo: Sun, 02 Oct 2016 03:00:01 +0000
sh bash 4.3_p46-r1
ld GNU ld (Gentoo 2.25.1 p1.1) 2.25.1
distcc 3.2rc1 powerpc64-unknown-linux-gnu [enabled]
ccache version 3.2.4 [disabled]
app-shells/bash:          4.3_p46-r1::gentoo
dev-java/java-config:     2.2.0-r3::gentoo
dev-lang/perl:            5.22.2::gentoo
dev-lang/python:          2.7.10-r1::gentoo, 3.3.5-r3::gentoo, 3.4.3-r1::gentoo
dev-util/ccache:          3.2.4::gentoo
dev-util/cmake:           3.5.2-r1::gentoo
sys-apps/baselayout:      2.2::gentoo
sys-apps/openrc:          0.21.7::gentoo
sys-apps/sandbox:         2.10-r1::gentoo
sys-devel/autoconf:       2.13::gentoo, 2.69::gentoo
sys-devel/automake:       1.11.6-r1::gentoo, 1.14.1::gentoo, 1.15::gentoo
sys-devel/binutils:       2.24-r3::gentoo, 2.25.1-r1::gentoo
sys-devel/gcc:            4.7.4::gentoo, 4.9.3::gentoo, 5.4.0::gentoo
sys-devel/gcc-config:     1.7.3::gentoo
sys-devel/libtool:        2.4.6::gentoo
sys-devel/make:           4.1-r1::gentoo
sys-kernel/linux-headers: 4.3::gentoo (virtual/os-headers)
sys-libs/glibc:           2.22-r4::gentoo
Repositories:

gentoo
    location: /aches/gentoo/portage
    sync-type: rsync
    sync-uri: rsync://rsync.nl.gentoo.org/gentoo-portage
    priority: 0

JeR
    location: /aches/gentoo/local
    masters: gentoo
    priority: 10000

ACCEPT_KEYWORDS="ppc64"
ACCEPT_LICENSE="*"
CBUILD="powerpc64-unknown-linux-gnu"
CFLAGS="-O2 -ggdb -mcpu=G5 -mtune=G5 -Wall"
CHOST="powerpc64-unknown-linux-gnu"
CONFIG_PROTECT="/etc /etc/stunnel/stunnel.conf /usr/lib/ccache/bin /usr/lib/distcc/bin /usr/share/gnupg/qualified.txt /var/bind"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.6/ext-active/ /etc/php/apache2-php7.0/ext-active/ /etc/php/cgi-php5.6/ext-active/ /etc/php/cgi-php7.0/ext-active/ /etc/php/cli-php5.6/ext-active/ /etc/php/cli-php7.0/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-O2 -ggdb -mcpu=G5 -mtune=G5 -Wall"
DISTDIR="/aches/gentoo/distfiles"
EMERGE_DEFAULT_OPTS="--autounmask=n --keep-going"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs buildpkg cgroup compressdebug config-protect-if-modified distcc distlocks ebuild-locks fixlafiles merge-sync metadata-transfer multilib-strict news parallel-fetch preserve-libs protect-owned sandbox sfperms sign splitdebug strict test test-fail-continue unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS=" http://mirror.netcologne.de/gentoo/ http://ftp.snt.utwente.nl/pub/os/linux/gentoo http://gentoo.tiscali.nl/ http://mirror.leaseweb.com/gentoo/ "
LANG="en_GB.utf8"
LC_ALL="en_US.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--hash-style=gnu -Wl,--as-needed"
MAKEOPTS="-j3"
PKGDIR="/aches/gentoo/packages/martijn"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="X acl alsa altivec apache2 avahi berkdb botan bzip2 cairo cli consolekit cracklib crypt cups cxx dri drm evdev fontforge fortran fusionsound gadu gdbm gstreamer http2 ibm iconv idn introspection ipv6 jpeg jpeg2k kerberos lcms lensfun lua modules mpi multislot multitarget natspec ncurses nethack nls nptl offensive ofono-headset opengl openmp pam pcre png ppc64 qt3support qt4 r600-llvm-compiler raw readline rubberband rubytests scanner sdl session ssl tcl tcmalloc tcpd theora threads tiff tk truetype unicode valgrind vpx webp xattr zlib" ABI_PPC="64" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CURL_SSL="gnutls" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="evdev" KERNEL="linux" L10N="en_GB en nl" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="en_GB en nl" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-6" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_4" RUBY_TARGETS="ruby20 ruby21" USERLAND="GNU" VIDEO_CARDS="modesetting radeon nouveau" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, INSTALL_MASK, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON

=================================================================
                        Package Settings
=================================================================

media-libs/kvazaar-0.8.3::gentoo was built with the following:
USE="-static-libs"
Comment 1 Alexis Ballier gentoo-dev 2016-10-14 16:20:37 UTC
fixed in 1.0.0